// ---------------------------------------------------------------------------
// Project Settings:
// ---------------------------------------------------------------------------
//              Target = Custom
//		Program Memory = 0xC000
//         Data Memory = 0x2000
//		 Stack Pointer = 0x8000
//     Extended Memory = not Enabled
// Non-default Startup = crt12co.o
// ---------------------------------------------------------------------------
// Project Files: adc12c.s alcd12c.s dac12c.s rtc12c.s spi12c.s libtest.c
// ---------------------------------------------------------------------------

#include <stdio.h>
#include <hc12.h>
#include "hc12co.h"


int putchar(char c) {
	putLCD(c);
	return c;
	}

void main(void) {

	initSPI();
	initADC();
	initDAC();
	initRTC();
	initLCD(20,4);

	gotoxyLCD(4,2);
	puts("Hello, world!");
	}
